# DataExchange
TKVRML
VrmlConverter

# VrmlConverter_DeflectionCurve Class Reference

DeflectionCurve - computes the presentation of
objects to be seen as curves, converts this one into
VRML objects and writes (adds) into
anOStream. All requested properties of the
representation are specify in aDrawer.
This kind of the presentation
is converted into IndexedLineSet ( VRML ).
The computation will be made according to a maximal
chordial deviation.
.

`#include <VrmlConverter_DeflectionCurve.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (Standard_OStream &anOStream, Adaptor3d_Curve &aCurve, const Handle(VrmlConverter_Drawer)&aDrawer)
| adds to the OStream the drawing of the curve aCurve with respect to the maximal chordial deviation defined by the drawer aDrawer. The aspect is defined by LineAspect in aDrawer.
static Standard_EXPORT void | Add (Standard_OStream &anOStream, Adaptor3d_Curve &aCurve, const Standard_Real U1, const Standard_Real U2, const Handle(VrmlConverter_Drawer)&aDrawer)
| adds to the OStream the drawing of the curve aCurve with respect to the maximal chordial deviation defined by the drawer aDrawer. The aspect is defined by LineAspect in aDrawer. The drawing will be limited between the points of parameter U1 and U2.
static Standard_EXPORT void | Add (Standard_OStream &anOStream, Adaptor3d_Curve &aCurve, const Standard_Real aDeflection, const Standard_Real aLimit)
| adds to the OStream the drawing of the curve aCurve with respect to the maximal chordial deviation aDeflection. The aspect is the current aspect
static Standard_EXPORT void | Add (Standard_OStream &anOStream, Adaptor3d_Curve &aCurve, const Standard_Real aDeflection, const Handle(VrmlConverter_Drawer)&aDrawer)
| adds to the OStream the drawing of the curve aCurve with respect to the maximal chordial deviation aDeflection. The aspect is the current aspect
static Standard_EXPORT void | Add (Standard_OStream &anOStream, Adaptor3d_Curve &aCurve, const Standard_Real U1, const Standard_Real U2, const Standard_Real aDeflection)
| adds to the OStream the drawing of the curve aCurve with respect to the maximal chordial deviation aDeflection. The aspect is the current aspect The drawing will be limited between the points of parameter U1 and U2.

## Member Function Documentation

static Standard_EXPORT void VrmlConverter_DeflectionCurve::Add | ( | Standard_OStream & | anOStream,
|  | Adaptor3d_Curve & | aCurve,
|  | const Standard_Real | U1,
|  | const Standard_Real | U2,
|  | const Standard_Real | aDeflection
| ) | `[static]`

static Standard_EXPORT void VrmlConverter_DeflectionCurve::Add | ( | Standard_OStream & | anOStream,
|  | Adaptor3d_Curve & | aCurve,
|  | const Standard_Real | aDeflection,
|  | const Handle(VrmlConverter_Drawer)& | aDrawer
| ) | `[static]`

static Standard_EXPORT void VrmlConverter_DeflectionCurve::Add | ( | Standard_OStream & | anOStream,
|  | Adaptor3d_Curve & | aCurve,
|  | const Standard_Real | aDeflection,
|  | const Standard_Real | aLimit
| ) | `[static]`

static Standard_EXPORT void VrmlConverter_DeflectionCurve::Add | ( | Standard_OStream & | anOStream,
|  | Adaptor3d_Curve & | aCurve,
|  | const Standard_Real | U1,
|  | const Standard_Real | U2,
|  | const Handle(VrmlConverter_Drawer)& | aDrawer
| ) | `[static]`

static Standard_EXPORT void VrmlConverter_DeflectionCurve::Add | ( | Standard_OStream & | anOStream,
|  | Adaptor3d_Curve & | aCurve,
|  | const Handle(VrmlConverter_Drawer)& | aDrawer
| ) | `[static]`

void VrmlConverter_DeflectionCurve::operator delete | ( | void * | anAddress | ) | `[inline]`

void* VrmlConverter_DeflectionCurve::operator new | ( | size_t | size | ) | `[inline]`

void* VrmlConverter_DeflectionCurve::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- VrmlConverter_DeflectionCurve.hxx